﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 取得单个医疗项目的自付比例及其说明 接口输入实体类
    /// </summary>
    public class GetZfblInput
    {
        /// <summary>
        /// 医院项目编码
        /// </summary>
        public string P_Yyxmbm { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        public DateTime P_Rq { get; set; }

        /// <summary>
        /// 个人编号
        /// </summary>
        public string P_Grbh { get; set; }

        /// <summary>
        /// 医疗统筹类别
        /// 说明：4：门诊大病，5：意外伤害，6：普通门诊统筹，其他具体值调用数据字典接口获取，代码编号：YLTCLB，做门诊或住院业务前获取信息时传入具体业务对应的值
        /// </summary>
        public string P_Yltclb { get; set; }

        /// <summary>
        /// 险种标准
        /// 说明：医疗 C，工伤 D，生育 E，可调用数据字典接口获取，代码编号：XZBZ
        /// </summary>
        public string P_Xzbz { get; set; }
    }

    /// <summary>
    /// 自付比例信息 实体类
    /// </summary>
    public class ZfblDs
    {
        /// <summary>
        /// 自付比例
        /// </summary>
        public double Zfbl { get; set; }

        /// <summary>
        /// 说明
        /// </summary>
        public string Sm { get; set; }

        /// <summary>
        /// 人群类别
        /// 说明：原社保机构类型，A：职工，B：居民，其他具体值调用数据字典接口获取，代码编号：RQLB；
        /// </summary>
        public string Rqlb { get; set; }
    }

    /// <summary>
    /// 付比例及其说明 接口输出实体类
    /// </summary>
    public class GetZfblOutput
    {
        /// <summary>
        /// 执行代码
        /// 说明：0为成功，其他为失败,参考第二章第3节；
        /// </summary>
        public string Resultcode { get; set; }

        /// <summary>
        /// 自付比例信息
        /// </summary>
        public List<ZfblDs> Zfbl_Ds { get; set; }
    }
}
