﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{

    /// <summary>
    /// 查询基本信息-入参
    /// </summary>
    public class QueryBasicInfoInput
    {
        /// <summary>
        /// 个人编号
        /// </summary>
        public string p_grbh { get; set; }

        /// <summary>
        /// 险种标志
        /// </summary>
        public string p_xzbz { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string p_xm { get; set; }

        /// <summary>
        /// 医疗统筹类别
        /// </summary>
        public string p_yltclb { get; set; }

        /// <summary>
        /// 查询日期
        /// </summary>
        public DateTime p_rq { get; set; }

        /// <summary>
        /// 是否互联网医院
        /// </summary>
        public string p_sfhlwyy { get; set; }

        /// <summary>
        /// 收费认证方式
        /// </summary>
        public string p_sfrzfs { get; set; }
    }

    /// <summary>
    /// 多社保局信息
    /// </summary>
    public class MultiSbjDs
    {
        /// <summary>
        /// 单位名称
        /// </summary>
        public string dwmc { get; set; }

        /// <summary>
        /// 参保状态
        /// </summary>
        public string cbzt { get; set; }

        /// <summary>
        /// 险种标志
        /// </summary>
        public string xzbz { get; set; }

        /// <summary>
        /// 社保机构编号
        /// </summary>
        public string sbjgbh { get; set; }

        /// <summary>
        /// 参保人员类别
        /// </summary>
        public string cbrylb { get; set; }

        /// <summary>
        /// 社保机构名称
        /// </summary>
        public string sbjgmc { get; set; }
    }

    /// <summary>
    /// 查询基本信息-出参
    /// </summary>
    public class QueryBasicInfoOutput
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        public string xm { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        public string xb { get; set; }

        /// <summary>
        /// 社会保障号码
        /// </summary>
        public string grbh { get; set; }

        /// <summary>
        /// 支付标志（灰名单标志）
        /// </summary>
        public string zfbz { get; set; }

        /// <summary>
        /// 支付说明（灰名单原因）
        /// </summary>
        public string zfsm { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
        public string dwmc { get; set; }

        /// <summary>
        /// 医疗人员类别代码
        /// </summary>
        public string ylrylbcode { get; set; }

        /// <summary>
        /// 医疗人员类别
        /// </summary>
        public string ylrylb { get; set; }

        /// <summary>
        /// 异地标志
        /// </summary>
        public string ydbz { get; set; }

        /// <summary>
        /// 疾病编码
        /// </summary>
        public string mzdbjbs { get; set; }

        /// <summary>
        /// 门诊大病备注
        /// </summary>
        public string mzdbbz { get; set; }

        /// <summary>
        /// 社保局编码
        /// </summary>
        public string sbjgbh { get; set; }

        /// <summary>
        /// 有无15(医保参数控制)天内的住院记录
        /// </summary>
        public string zhzybz { get; set; }

        /// <summary>
        /// 15(医保参数控制)天内的住院记录说明
        /// </summary>
        public string zhzysm { get; set; }

        /// <summary>
        /// 转出医院名称
        /// </summary>
        public string zcyymc { get; set; }

        /// <summary>
        /// 出院日期
        /// </summary>
        public DateTime zccyrq { get; set; }

        /// <summary>
        /// 人群类别
        /// </summary>
        public string rqlb { get; set; }

        /// <summary>
        /// 出生日期
        /// </summary>
        public DateTime csrq { get; set; }

        /// <summary>
        /// 优抚对象标志
        /// </summary>
        public string yfdxbz { get; set; }

        /// <summary>
        /// 优抚对象类别
        /// </summary>
        public string yfdxlb { get; set; }

        /// <summary>
        /// 参保地市编号
        /// </summary>
        public string cbdsbh { get; set; }

        /// <summary>
        /// 参保机构名称
        /// </summary>
        public string cbjgmc { get; set; }

        /// <summary>
        /// 多社保局标志
        /// </summary>
        public string multisbj { get; set; }

        /// <summary>
        /// 多社保局信息
        /// </summary>
        public List<MultiSbjDs> multisbjds { get; set; }

        /// <summary>
        /// 门诊定点标志
        /// </summary>
        public string mzddbz { get; set; }

        /// <summary>
        /// 门诊定点说明
        /// </summary>
        public string mzddsm { get; set; }

        /// <summary>
        /// 余额
        /// </summary>
        public double ye { get; set; }

        /// <summary>
        /// 救助人员类别
        /// </summary>
        public string jzrylb { get; set; }

        /// <summary>
        /// 贫困人口标志
        /// </summary>
        public string pkrkbz { get; set; }

        /// <summary>
        /// 单位性质名称
        /// </summary>
        public string dwxzmc { get; set; }

        /// <summary>
        /// 工伤检查信息
        /// </summary>
        public string gsjcxx { get; set; }

        /// <summary>
        /// 补充人员类别
        /// </summary>
        public string bcrylb { get; set; }

    }

   
}
