﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 查询病人结算信息query_jsxx的请求参数
    /// </summary>
    public class QueryJsxxRequest
    {
        /// <summary>
        /// 医疗统筹类别
        /// </summary>
        public string p_yltclb { get; set; }

        /// <summary>
        /// 起始日期
        /// </summary>
        public DateTime p_qsrq { get; set; }

        /// <summary>
        /// 终止日期
        /// </summary>
        public DateTime p_zzrq { get; set; }

        /// <summary>
        /// 险种标志
        /// </summary>
        public string p_xzbz { get; set; }

        /// <summary>
        /// 院区编号
        /// </summary>
        public string p_campusid { get; set; }
    }

    /// <summary>
    /// 查询病人结算信息query_jsxx的返回结果
    /// </summary>
    public class QueryJsxxResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        /// <summary>
        /// 结算信息数据集
        /// </summary>
        public List<JsxxDs> jsxx_ds { get; set; }
    }

    /// <summary>
    /// 结算信息类
    /// </summary>
    public class JsxxDs
    {
        /// <summary>
        /// 结算号ID
        /// </summary>
        public string jshid { get; set; }

        /// <summary>
        /// 总金额
        /// </summary>
        public double zje { get; set; }

        /// <summary>
        /// 医保负担金额
        /// </summary>
        public double ybfdje { get; set; }

        /// <summary>
        /// 个人账户支付
        /// </summary>
        public double grzhzf { get; set; }

        /// <summary>
        /// 现金支付
        /// </summary>
        public double xjzf { get; set; }

        /// <summary>
        /// 医疗减免金额
        /// </summary>
        public double yljmje { get; set; }

        /// <summary>
        /// 医疗补助金额
        /// </summary>
        public double ylbzje { get; set; }

        /// <summary>
        /// 其中基本账户支付
        /// </summary>
        public double qzjbzhzf { get; set; }

        /// <summary>
        /// 病人结算日期
        /// </summary>
        public DateTime brjsrq { get; set; }

        /// <summary>
        /// 个人编号
        /// </summary>
        public string grbh { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string xm { get; set; }

        /// <summary>
        /// 4：门诊大病，5：意外伤害，6：普通门诊统筹，其他具体值调用数据字典接口获取，代码编号：YLTCLB
        /// </summary>
        public string yltclb { get; set; }

        /// <summary>
        /// 险种标志，C:医疗，D：工伤，E：生育
        /// </summary>
        public string xzbz { get; set; }

        /// <summary>
        /// 结算标志，0：已撤销；1：未撤销.
        /// </summary>
        public string jsbz { get; set; }
    }
    }
