﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 增量查询下载医保疾病目录query_si_sick_by_sxh的请求参数
    /// </summary>
    public class QuerySiSickBySxhRequest
    {
        /// <summary>
        /// 出参返回格式p_filetype的值为“excel”、“txt”、或“json”其中一种。不传时，默认为“json”。
        /// </summary>
        public string p_filetype { get; set; }

        /// <summary>
        /// 医院端目前本地数据库中目录最大的流水号。长度为20
        /// </summary>
        public double p_sxh { get; set; }
    }

    /// <summary>
    /// 增量查询下载医保疾病目录query_si_sick_by_sxh的返回结果
    /// </summary>
    public class QuerySiSickBySxhResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        /// <summary>
        /// 医保疾病信息数据集
        /// </summary>
        public List<YbjbDs> ybjb_ds { get; set; }

        /// <summary>
        /// 是否还有需更新的记录
        /// </summary>
        public string sfjxxz { get; set; }

        /// <summary>
        /// 本次下载的记录条数
        /// </summary>
        public int sl { get; set; }
    }

    /// <summary>
    /// 医保疾病信息类
    /// </summary>
    public class YbjbDs
    {
        /// 记录顺序号
        public double sxh { get; set; }

        /// <summary>
        /// 疾病编码
        /// </summary>
        public string jbbm { get; set; }

        /// <summary>
        /// 疾病名称
        /// </summary>
        public string jbmc { get; set; }

        /// <summary>
        /// 疾病名称拼音
        /// </summary>
        public string py { get; set; }

        /// <summary>
        /// 门诊大病类别
        /// </summary>
        public string mzdblb { get; set; }

        /// <summary>
        /// 社保机构编号
        /// </summary>
        public string sbjgbh { get; set; }

        /// <summary>
        /// 险种范围
        /// </summary>
        public string xzfw { get; set; }

        /// <summary>
        /// 注销标志，1:注销,0或空:未注销，可调用数据字典接口获取，代码编号：ZXBZ
        /// </summary>
        public string zxbz { get; set; }

        /// <summary>
        /// 服务范围
        /// </summary>
        public string fwfw { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string bz { get; set; }

    }
    }
