﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    // 保存参保职工的住院登记信息，并上传到社保中心
    public class SaveZydjRequest
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }
        /// <summary>
        /// 社会保障号码
        /// </summary>
        public string p_grbh { get; set; }
        /// <summary>
        /// 卡号
        /// </summary>
        public string p_kh { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string p_xm { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string p_xb { get; set; }
        /// <summary>
        /// 医疗统筹类别
        /// </summary>
        public string p_yltclb { get; set; }
        /// <summary>
        /// 科室编码
        /// </summary>
        public string p_ksbm { get; set; }
        /// <summary>
        /// 住院日期
        /// </summary>
        public DateTime p_zyrq { get; set; }
        /// <summary>
        /// 确诊医师
        /// </summary>
        public string p_qzys { get; set; }
        /// <summary>
        /// 险种标志
        /// </summary>
        public string p_xzbz { get; set; }
        /// <summary>
        /// 外地就医类别
        /// </summary>
        public string p_jylb { get; set; }
        /// <summary>
        /// 就医医院编码
        /// </summary>
        public string p_jyyybm { get; set; }
        /// <summary>
        /// 住院方式
        /// </summary>
        public string p_zyfs { get; set; }
        /// <summary>
        /// 医保疾病编码
        /// </summary>
        public string p_jbbm { get; set; }
        /// <summary>
        /// 转出医疗统筹登记号
        /// </summary>
        public string p_yyltcdjh { get; set; }
        /// <summary>
        /// 参保地市编号
        /// </summary>
        public string p_cbdsbh { get; set; }
        /// <summary>
        /// 参保机构名称
        /// </summary>
        public string p_cbjgmc { get; set; }
        /// <summary>
        /// 医疗统筹类别明细
        /// </summary>
        public string p_yltclbmx { get; set; }
        /// <summary>
        /// 病情说明
        /// </summary>
        public string p_bqsm { get; set; }
        /// <summary>
        /// 床位
        /// </summary>
        public string p_cw { get; set; }
        /// <summary>
        /// 房间
        /// </summary>
        public string p_fj { get; set; }
        /// <summary>
        /// 门诊科室
        /// </summary>
        public string p_mzks { get; set; }
        /// <summary>
        /// 人群类别
        /// </summary>
        public string p_rqlb { get; set; }
        /// <summary>
        /// 预产期（计生手术时间）
        /// </summary>
        public DateTime p_ycq { get; set; }
        /// <summary>
        /// 怀孕时间
        /// </summary>
        public DateTime p_hysj { get; set; }
        /// <summary>
        /// 分娩或手术时间
        /// </summary>
        public DateTime p_yecssj { get; set; }
        /// <summary>
        /// 生育胎次
        /// </summary>
        public string p_sytc { get; set; }
        /// <summary>
        /// 胎儿个数
        /// </summary>
        public string p_tegs { get; set; }
        /// <summary>
        /// 联系电话
        /// </summary>
        public string p_lxdh { get; set; }
        /// <summary>
        /// 生育并发症
        /// </summary>
        public string p_sybfz { get; set; }
        /// <summary>
        /// 补充项目信息
        /// </summary>
        public string p_bcxm_ds { get; set; }
        /// <summary>
        /// 工伤住院方式
        /// </summary>
        public string p_gszyfs { get; set; }
        /// <summary>
        /// 医疗住院方式
        /// </summary>
        public string p_ylzyfs { get; set; }
        /// <summary>
        /// 识别码
        /// </summary>
        public string p_sbm { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        public string p_ewm { get; set; }
        /// <summary>
        /// 工伤认定书编号
        /// </summary>
        public string p_rdsbh { get; set; }
        /// <summary>
        /// 长期护理标志
        /// </summary>
        public string p_cqhlbz { get; set; }
        /// <summary>
        /// 承诺无第三方
        /// </summary>
        public string p_cnwdsf { get; set; }
        /// <summary>
        /// 收费认证方式
        /// </summary>
        public string p_sfrzfs { get; set; }
        /// <summary>
        /// 外伤标志
        /// </summary>
        public string p_wsbz { get; set; }
        /// <summary>
        /// 涉及第三方标志
        /// </summary>
        public string p_sjdsfbz { get; set; }
        /// <summary>
        /// 住院类型
        /// </summary>
        public string p_zylx { get; set; }
    }

    public class SaveZydjResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }
        /// <summary>
        /// 入院诊断
        /// </summary>
        public string ryzd { get; set; }
        /// <summary>
        /// 医保审批意见
        /// </summary>
        public string bz { get; set; }
        /// <summary>
        /// 住院流水号
        /// </summary>
        public string zylsh { get; set; }
        /// <summary>
        /// 确认标志
        /// </summary>
        public string qrbz { get; set; }
    }
    }
