﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    // 本接口主要完成的功能：保存上一步传来的费用凭单，并上传中心进行结算，返回结算结果
    public class SettleMzRequest
    {
        /// <summary>
        /// 医疗统筹类别
        /// </summary>
        public string p_yltclb { get; set; }
        /// <summary>
        /// 社会保障号码
        /// </summary>
        public string p_grbh { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string p_xm { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string p_xb { get; set; }
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }
        /// <summary>
        /// 费用日期
        /// </summary>
        public DateTime p_fyrq { get; set; }
        /// <summary>
        /// 医师编码
        /// </summary>
        public string p_ysbm { get; set; }
        /// <summary>
        /// 疾病编码
        /// </summary>
        public string p_jbbm { get; set; }
        /// <summary>
        /// 卡号
        /// </summary>
        public string p_kh { get; set; }
        /// <summary>
        /// 险种标志
        /// </summary>
        public string p_xzbz { get; set; }
        /// <summary>
        /// 普通门诊刷卡标志
        /// </summary>
        public string p_ptmzskbz { get; set; }
        /// <summary>
        /// 外地就医类别
        /// </summary>
        public string p_jylb { get; set; }
        /// <summary>
        /// 就医医院编码
        /// </summary>
        public string p_jyyybm { get; set; }
        /// <summary>
        /// 疾病说明
        /// </summary>
        public string p_jbsm { get; set; }
        /// <summary>
        /// 是否需要结算单
        /// </summary>
        public string p_needjsd { get; set; }
        /// <summary>
        /// 门诊类型
        /// </summary>
        public string p_mzlx { get; set; }
        /// <summary>
        /// 社保卡口令
        /// </summary>
        public string p_passwd { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        public string p_ewm { get; set; }
        /// <summary>
        /// 渠道支付金额
        /// </summary>
        public decimal p_qdzf { get; set; }
        /// <summary>
        /// 家庭共济消费标志
        /// </summary>
        public string p_jtgjxfbz { get; set; }
        /// <summary>
        /// 识别码
        /// </summary>
        public string p_sbm { get; set; }
        /// <summary>
        /// 主要诊断
        /// </summary>
        public string p_zyzd { get; set; }
        /// <summary>
        /// 医疗政策标识
        /// </summary>
        public string p_ylzcbs { get; set; }
        /// <summary>
        /// 收费认证方式
        /// </summary>
        public string p_sfrzfs { get; set; }

        /// <summary>
        /// 处方id
        /// </summary>
        public string p_cfid { get; set; }

        /// <summary>
        /// 是否互联网医院
        /// </summary>
        public string p_sfhlwyy { get; set; }

        /// <summary>
        /// 挂号费标志
        /// </summary>
        public string p_ghsfbzhlw { get; set; }

        /// <summary>
        /// 门诊急诊转诊标志
        /// </summary>
        public string p_mzjzzzbz { get; set; }

        /// <summary>
        /// 外伤标志
        /// </summary>
        public string p_wsbz { get; set; }

        /// <summary>
        /// 涉及第三方标志
        /// </summary>
        public string p_sjdsfbz { get; set; }

        /// <summary>
        /// 医疗统筹类别明细
        /// </summary>
        public string p_yltclbmx { get; set; }


        public List<FypdInfo> p_fypd_ds { get; set; }
        public List<JbbmInfo> p_jbbm_ds { get; set; }
    }

    public class SettleMzResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }
        /// <summary>
        /// 病人结算号
        /// </summary>
        public string jshid { get; set; }
        /// <summary>
        /// 疾病编码
        /// </summary>
        public string jbbm { get; set; }
        /// <summary>
        /// 住院流水号
        /// </summary>
        public string zylsh { get; set; }
        /// <summary>
        /// 病人负担金额
        /// </summary>
        public decimal brfdje { get; set; }
        /// <summary>
        /// 医保负担金额
        /// </summary>
        public decimal ybfdje { get; set; }
        /// <summary>
        /// 医疗补助金额
        /// </summary>
        public decimal ylbzje { get; set; }
        /// <summary>
        /// 医院负担金额
        /// </summary>
        public decimal yyfdje { get; set; }
        /// <summary>
        /// 本次结算费用总额
        /// </summary>
        public decimal zje { get; set; }
        /// <summary>
        /// 医疗统筹登记号
        /// </summary>
        public string yltcdjh { get; set; }
        /// <summary>
        /// 统计人员类别
        /// </summary>
        public string tjrylb { get; set; }
        /// <summary>
        /// 病人结算日期
        /// </summary>
        public DateTime brjsrq { get; set; }
        /// <summary>
        /// 个人账户支付
        /// </summary>
        public decimal grzhzf { get; set; }
        /// <summary>
        /// 本次统筹支付
        /// </summary>
        public decimal tczf { get; set; }
        /// <summary>
        /// 本次大额支付
        /// </summary>
        public decimal dezf { get; set; }
        /// <summary>
        /// 本次公务员补助
        /// </summary>
        public decimal gwybz { get; set; }
        /// <summary>
        /// 本次财政列支
        /// </summary>
        public decimal czlz { get; set; }
        /// <summary>
        /// 暂缓支付
        /// </summary>
        public decimal zhzf { get; set; }
        /// <summary>
        /// 累计统筹支付
        /// </summary>
        public decimal ljtczf { get; set; }
        /// <summary>
        /// 累计大额支付
        /// </summary>
        public decimal ljdezf { get; set; }
        /// <summary>
        /// 累计门诊额度
        /// </summary>
        public decimal ljmzed { get; set; }
        /// <summary>
        /// 累积个人支付
        /// </summary>
        public decimal ljgrzf { get; set; }
        /// <summary>
        /// 其他统筹支付
        /// </summary>
        public decimal qttczf { get; set; }
        /// <summary>
        /// 优抚对象减免金额
        /// </summary>
        public decimal jmje { get; set; }
        /// <summary>
        /// 发票号
        /// </summary>
        public string fph { get; set; }
        /// <summary>
        /// 发票人员类别
        /// </summary>
        public string fprylb { get; set; }
        /// <summary>
        /// 账户余额
        /// </summary>
        public decimal zhye { get; set; }
        /// <summary>
        /// 本次起付线
        /// </summary>
        public decimal bcqfx { get; set; }
        /// <summary>
        /// 本次进入统筹额度
        /// </summary>
        public decimal bcnrtcfw { get; set; }
        /// <summary>
        /// 本年进入统筹额度
        /// </summary>
        public decimal bnynrtcfw { get; set; }
        /// <summary>
        /// 首先自付金额
        /// </summary>
        public decimal sxzfje { get; set; }
        /// 统筹范围内个人负担金额
        /// </summary>
        public decimal tcfwnfd { get; set; }
        /// <summary>
        /// 医保额度累计
        /// </summary>
        public decimal ljmznrtc { get; set; }
        /// <summary>
        /// 本次目录外
        /// </summary>
        public decimal bcmlw { get; set; }
        /// <summary>
        /// 累计目录外
        /// </summary>
        public decimal ljmlw { get; set; }
        /// <summary>
        /// 累计起付线
        /// </summary>
        public decimal ljqfx { get; set; }
        /// <summary>
        /// 本次补充支付
        /// </summary>
        public decimal bcbczf { get; set; }
        /// <summary>
        /// 累计补充支付
        /// </summary>
        public decimal ljbczf { get; set; }
        /// <summary>
        /// 本次消费现金
        /// </summary>
        public decimal xj { get; set; }
        /// <summary>
        /// 大病补助金额
        /// </summary>
        public decimal dbbzje { get; set; }
        /// <summary>
        /// 本年度累计普通门诊报销金额/门诊额度累计
        /// </summary>
        public decimal bnptmzljbxje { get; set; }
        /// <summary>
        /// 本年度累计门诊大病报销金额
        /// </summary>
        public decimal bnmzdbljbxje { get; set; }
        /// <summary>
        /// 二次报销金额
        /// </summary>
        public decimal ecbxje { get; set; }
        /// <summary>
        /// 医疗机构减免
        /// </summary>
        public decimal fpryyljgjm { get; set; }
        /// <summary>
        /// 商业兜底
        /// </summary>
        public decimal pkrkbcbxje { get; set; }
        /// <summary>
        /// 医疗救助
        /// </summary>
        public decimal mzbzje { get; set; }
        /// <summary>
        /// 民政优抚
        /// </summary>
        public decimal yfbzy { get; set; }
        /// <summary>
        /// 乙类首先自付
        /// </summary>
        public decimal bfzf { get; set; }
        /// <summary>
        /// 累计统筹报销
        /// </summary>
        public decimal ljbxje { get; set; }
        /// <summary>
        /// 累计自付金额
        /// </summary>
        public decimal ljzfje { get; set; }
        /// <summary>
        /// 家庭账户消费金额
        /// </summary>
        public decimal gjzhxfje { get; set; }
        /// <summary>
        /// 家庭共济账户余额
        /// </summary>
        public decimal gjzhye { get; set; }
        /// <summary>
        /// 医疗减免金额
        /// </summary>
        public decimal yljmje { get; set; }
        /// <summary>
        /// 贫困人口再救助
        /// </summary>
        public decimal pkryzjzje { get; set; }
        /// <summary>
        /// 核酸检测财政补助金额
        /// </summary>
        public decimal xgfyhsjcczbz { get; set; }
        /// <summary>
        /// 齐鲁保报销金额
        /// </summary>
        public decimal hmbbxje { get; set; }
        /// <summary>
        /// 省异地个人账户支付
        /// </summary>
        public decimal sydgrzhzf { get; set; }
    }
}
